package domain

type AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest struct {
	/*
	   模板表主键id     */
	Id *int64 `json:"id,omitempty" `

	/*
	   分页信息     */
	PageInfo *AlibabaWdkCouponSkuQueryPageInfo `json:"page_info,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponSkuQueryUserInfo `json:"user_info,omitempty" `

	/*
	   分组序号     */
	LogicGroupNumber *int64 `json:"logic_group_number,omitempty" `

	/*
	   五道口分组id     */
	WdkGroupId *int64 `json:"wdk_group_id,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetId(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetPageInfo(v AlibabaWdkCouponSkuQueryPageInfo) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.PageInfo = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetSourceId(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.SourceId = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetUserInfo(v AlibabaWdkCouponSkuQueryUserInfo) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.UserInfo = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetLogicGroupNumber(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.LogicGroupNumber = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) SetWdkGroupId(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest {
	s.WdkGroupId = &v
	return s
}
